package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CloudCustomerEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/3/26.
 */
@Repository
public interface CloudCustomerMapper {

    void save(CloudCustomerEntity entity);

    CloudCustomerEntity getById(int id);

    List<CloudCustomerEntity> queryByConditions(Map<String, Object> map);

    List<Map<String, Object>> queryList(Map<String, Object> map);

    int queryCount(Map<String, Object> map);

    void update(CloudCustomerEntity entity);
}
